package com.futu.course.course.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.futu.course.course.domain.CourseSection;
import com.futu.course.course.service.CourseSectionService;
import com.futu.course.course.mapper.CourseSectionMapper;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* @author yuu
* @description 针对表【course_section】的数据库操作Service实现
* @createDate 2025-05-05 18:45:13
*/
@Service
public class CourseSectionServiceImpl extends ServiceImpl<CourseSectionMapper, CourseSection>
    implements CourseSectionService{
    /**
     * @title: CourseSectionListById
     * @desc:  List<CourseSection>
     * @params Long courseId
     * @return: Result
     * @author: 杨旭朋
     * @date: 2025/5/13 19:01
     */
    public List<CourseSection> CourseSectionListById(Long courseId) {
        LambdaQueryWrapper<CourseSection> eq = Wrappers.<CourseSection>lambdaQuery().eq(CourseSection::getCourseId, courseId);
        return this.list(eq);
    }
}




